Package org.apache.velocity.runtime.parser.node

# Class GetExecutor

java.lang.Object
org.apache.velocity.runtime.parser.node.AbstractExecutor
org.apache.velocity.runtime.parser.node.GetExecutor

public class GetExecutor extends AbstractExecutor
Executor that simply tries to execute a get(key) operation. This will try to find a get(key) method for any type of object, not just objects that implement the Map interface as was previously the case.

Version:
  $Id$
Author:
  Jason van Zyl

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor

`log`

## Constructor Summary

Constructors
Constructor
Description
`GetExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`discover(Class<?> clazz)`
`Object`
`execute(Object o)`
Execute method against context.

### Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor

`getMethod, isAlive, setMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GetExecutor

public GetExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property)

Parameters:
  `log` -
  `introspector` -
  `clazz` -
  `property` -
Since:
  1.5

## Method Details

### discover

protected void discover(Class<?> clazz)

Parameters:
  `clazz` -
Since:
  1.5

### execute

public Object execute(Object o) throws IllegalAccessException, InvocationTargetException
Description copied from class: `AbstractExecutor`
Execute method against context.

Specified by:
  `execute` in class `AbstractExecutor`
Parameters:
  `o` -
Returns:
  value
Throws:
  `IllegalAccessException`
  `InvocationTargetException`
See Also:
  - `AbstractExecutor.execute(java.lang.Object)`